#include "MainForm.h"
#include <QTextCodec>
#include <iostream>

MainForm::MainForm(QWidget *parent)
    : QWidget( parent )
{
    setupUi(this);

    proc = new QProcess( this );

    QObject::connect( proc, SIGNAL(readyReadStandardOutput()), this, SLOT(slot_appendView()) );
    //QObject::connect( proc, SIGNAL(readyReadStderr()), this, SLOT(slot_appendView()) );
}


void MainForm::slot_commandExec()
{
    QString cmd;

    cmd = cmdLine->text();

    proc->start( cmd );
    msgView->append( "> " + cmd );

    //std::cout << "command exec." << std::endl;
    cmdLine->clear();
}

void MainForm::slot_appendView()
{
    QTextCodec *codec = QTextCodec::codecForName( "EUC-JP" );
    QString str( codec->toUnicode(proc->readAllStandardOutput()) );
    msgView->append( str );
    msgView->append( "------------------" );
}
